import 'package:meta/meta.dart';
import 'package:unify_api/tool.dart';

import '../../services/database/database.dart';
import '../nav/bloc.dart';

@immutable
abstract class AuthEvent {}

class CheckUser extends AuthEvent {
  @override
  String toString() => 'CheckUser {  }';
}

class SwitchUser extends AuthEvent {
  SwitchUser(this.user);

  final User user;

  @override
  String toString() =>
      'SwitchUser { firstName: ${user.firstName}, lastName: ${user.lastName} }';
}

class LoginEvent extends AuthEvent {
  LoginEvent(
    this.username,
    this.password,
    this.companyCode, {
    @required this.addAccount,
    @required this.navBloc,
  });

  final String username, password, companyCode;
  final bool addAccount;
  final NavBloc navBloc;

  @override
  String toString() =>
      'LoginEvent { username: $username, companyCode: $companyCode, addAccount: $addAccount }';
}

class LogoutEvent extends AuthEvent {
  LogoutEvent(this.user);

  final AccountInfo user;

  @override
  String toString() => 'LogoutEvent { user: ${user.displayName} }';
}
