import 'dart:async';
import 'package:bloc/bloc.dart';
import 'package:flutter/material.dart';
import './bloc.dart';

class NavBloc extends Bloc<NavEvent, NavState> {
  NavBloc(this.navigatorKey);

  final GlobalKey<NavigatorState> navigatorKey;

  @override
  NavState get initialState => InitialNavState();

  @override
  Stream<NavState> mapEventToState(
    NavEvent event,
  ) async* {
    if (event is NavPopEvent) {
      navigatorKey.currentState.pop(event?.result);
    }
    if (event is NavMaybePopEvent) {
      await navigatorKey.currentState.maybePop(event?.result);
    }
    if (event is NavPushEvent) {
      await navigatorKey.currentState
          .pushNamed(event.route, arguments: event?.args);
    }
  }
}
