import 'package:meta/meta.dart';

import 'search_bloc.dart';

@immutable
abstract class SearchState {}

class InitialSearchState extends SearchState {}

class SearchStateEmpty extends SearchState {
  @override
  String toString() => 'SearchStateEmpty';
}

class SearchStateLoading extends SearchState {
  @override
  String toString() => 'SearchStateLoading';
}

class SearchStateSuccess extends SearchState {
  SearchStateSuccess(this.items);

  final List<SearchResultItem> items;

  @override
  String toString() => 'SearchStateSuccess { items: ${items.length} }';
}

class SearchStateError extends SearchState {
  SearchStateError(this.error);

  final String error;

  @override
  String toString() => 'SearchStateError';
}
