class Settings {
  bool darkMode;
  bool useSystemDark;
  bool autoLogin;
  int contactColor;
  int loanColor;
  int leadColor;
  int alertColor;
  int videoColor;

  Settings({
    this.darkMode = false,
    this.useSystemDark = true,
    this.autoLogin = true,
    this.contactColor = 0xff4a62ff,
    this.loanColor = 0xff86a6b8,
    this.leadColor = 0xff59ba57,
    this.alertColor = 0xffff0000,
    this.videoColor = 0xffeba817,
  });

  factory Settings.fromJson(Map<String, dynamic> json) => Settings(
        autoLogin: json['autoLogin'] ?? true,
        darkMode: json['darkMode'] ?? false,
        useSystemDark: json['useSystemDark'] ?? true,
        contactColor: json['contactColor'] ?? 0xff4a62ff,
        loanColor: json['loanColor'] ?? 0xff86a6b8,
        leadColor: json['leadColor'] ?? 0xff59ba57,
        alertColor: json['alertColor'] ?? 0xffff0000,
        videoColor: json['videoColor'] ?? 0xffeba817,
      );

  Map<String, dynamic> toJson() => {
        'autoLogin': autoLogin,
        'darkMode': darkMode,
        'useSystemDark': useSystemDark,
        'contactColor': contactColor,
        'loanColor': loanColor,
        'leadColor': leadColor,
        'alertColor': alertColor,
        'videoColor': videoColor,
      };
}
