import 'dart:async';

import 'package:hydrated_bloc/hydrated_bloc.dart';

import './bloc.dart';
import 'settings.dart';

class SettingsBloc extends HydratedBloc<SettingsEvent, SettingsState> {
  @override
  SettingsState get initialState => SettingsReady(Settings());

  @override
  Stream<SettingsState> mapEventToState(
    SettingsEvent event,
  ) async* {
    if (event is ChangeSettings) {
      yield* _mapChangeToState(event);
    }
    if (event is CheckSettings) {
      yield* _mapCheckToState(event);
    }
  }

  Stream<SettingsState> _mapChangeToState(ChangeSettings event) async* {
    // final _firestore = Firestore.instance;
    // final _userDoc = _firestore.collection('users').document(event.user.uid);
    // await _userDoc.updateData({'settings': event.settings.toJson()});
    yield SettingsReady(event.settings);
  }

  Stream<SettingsState> _mapCheckToState(CheckSettings event) async* {
    // if (event.user?.uid != null) {
    //   final _firestore = Firestore.instance;
    //   final _userDoc =
    //       await _firestore.collection('users').document(event.user.uid).get();
    //   if (_userDoc?.data != null && _userDoc.data['settings'] != null) {
    //     final _settings =
    //         Settings.fromJson(json.decode(json.encode(_userDoc['settings'])));
    //     yield SettingsReady(_settings);
    //   }
    // }
    yield SettingsReady(Settings());
  }

  @override
  SettingsState fromJson(Map<String, dynamic> json) {
    try {
      return SettingsReady(Settings.fromJson(json));
    } catch (e) {}
    return null;
  }

  @override
  Map<String, dynamic> toJson(SettingsState state) {
    if (state is SettingsReady) {
      return state.settings.toJson();
    }
    return {};
  }
}
