import 'package:example_db/data/blocs/scaffold/bloc.dart';
import 'package:flutter/material.dart';
import 'package:meta/meta.dart';
import 'package:unify_api/unify.dart';

@immutable
abstract class VideosEvent {}

class VideosCheck extends VideosEvent {
  VideosCheck({
    @required this.user,
    @required this.scaffold,
  });

  final ScaffoldBloc scaffold;
  final AccountInfo user;

  @override
  String toString() => 'VideosCheck { user: ${user.displayName} }';
}

class RefreshVideos extends VideosEvent {
  RefreshVideos({
    @required this.user,
    @required this.scaffold,
    @required this.context
  });

  final ScaffoldBloc scaffold;
  final AccountInfo user;
  final BuildContext context;

  @override
  String toString() => 'RefreshVideos { user: ${user.displayName} }';
}
