import 'dart:math' as math;

class MortgageCalculation {
  String loanPurpose;
  int loanTerm;
  double interestRate;
  double purchasePrice;
  double downPayment;
  double loanAmount;
  double propertyTaxes;
  double homeownersInsurance;
  double hoaDues;
  double purchaseLoan;
  double downPaymentCalc;

  MortgageCalculation({
    this.loanPurpose = "Purchase",
    this.downPayment = 0,
    this.hoaDues = 0,
    this.homeownersInsurance = 0,
    this.interestRate = 0,
    this.loanAmount = 0,
    this.purchasePrice = 0,
    this.loanTerm = 360,
    this.propertyTaxes = 0,
    this.purchaseLoan = 0,
    this.downPaymentCalc = 0,
  });

  MortgageCalculation.filled({
    this.loanPurpose = "Purchase",
    this.downPayment = 20.0,
    this.hoaDues = 1200.0,
    this.homeownersInsurance = 800.0,
    this.interestRate = 4.25,
    this.loanAmount = 200000.0,
    this.purchasePrice = 250000.0,
    this.loanTerm = 360,
    this.propertyTaxes = 1.2,
    this.purchaseLoan = 0,
    this.downPaymentCalc = 0,
  });

  double _monthlyPayment = 0.0;
  double _totalMonthlyPayment = 0.0;
  double _pmi = 0.0;

  double get monthlyPayment {
    calculate();
    return _monthlyPayment;
  }

  double get totalMonthlyPayment {
    calculate();
    return _totalMonthlyPayment;
  }

  double get pmi {
    calculate();
    return _pmi;
  }

  void calculate() {
    if (purchasePrice == null) purchasePrice = 0;
    if (propertyTaxes == null) propertyTaxes = 0;
    if (homeownersInsurance == null) homeownersInsurance = 0;
    if (hoaDues == null) hoaDues = 0;
    double _downPayment = purchasePrice * (downPayment / 100);
    double _loanAmount = loanAmount;
    downPaymentCalc = _downPayment;
    if (loanPurpose == "Purchase") {
      _loanAmount = purchasePrice - _downPayment;
      purchaseLoan = _loanAmount;
//      print("Loan Amount: $_loanAmount");
    }

    double ltv = 0;
    if (purchasePrice > 0) {
      ltv = _loanAmount / purchasePrice;
    }
    double pmi = 0;
    if (ltv > 0.80) {
      if (ltv > 0.949)
        pmi = (0.009 * (_loanAmount - _downPayment)) / 12;
      else if (ltv > 0.899)
        pmi = (0.0078 * (_loanAmount - _downPayment)) / 12;
      else if (ltv > 0.849)
        pmi = (0.0052 * (_loanAmount - _downPayment)) / 12;
      else if (ltv > 0.80) pmi = (0.0032 * (_loanAmount - _downPayment)) / 12;
    }

    var lj = interestRate / 1200;
    var ln = 0 - loanTerm;
    var factor = 1 + lj;
    var monthlyPayment = _loanAmount * (lj / (1 - math.pow(factor, ln)));
    var monthlyTaxes = purchasePrice * propertyTaxes / 1200;
    var monthlyIns = homeownersInsurance / 12;
    var monthlyHOA = hoaDues / 12;
    var totalMonthly =
        monthlyPayment + monthlyTaxes + monthlyIns + monthlyHOA + pmi;

    loanAmount = _loanAmount;
    _pmi = pmi;
    _monthlyPayment = monthlyPayment;
    _totalMonthlyPayment = totalMonthly;
  }
}
