import 'package:moor/moor.dart';
import 'package:unify_api/tool.dart';

@DataClassName('Lead')
class LeadRecords extends Table {
  @override
  String get tableName => 'leads';

  @override
  Set<Column> get primaryKey => {leadId};

  TextColumn get userId => text()();

  TextColumn get leadId => text()();

  TextColumn get contactId => text()();

  TextColumn get firstName => text().nullable()();

  TextColumn get lastName => text().nullable()();

  TextColumn get cellPhone => text().nullable()();

  TextColumn get homePhone => text().nullable()();

  TextColumn get officePhone => text().nullable()();

  TextColumn get email => text().nullable()();

  TextColumn get lastActivity => text().nullable()();

  TextColumn get leadDetails => text().nullable()();

  DateTimeColumn get dateCreated => dateTime()();

  DateTimeColumn get lastUpdated => dateTime().nullable()();
}
