import 'package:moor/moor.dart';

@DataClassName('Video')
class VideoRecords extends Table {
  @override
  String get tableName => 'videos';

  @override
  Set<Column> get primaryKey => {videoId};

  TextColumn get videoId => text()();

  TextColumn get userId => text()();

  TextColumn get name => text().nullable()();

  TextColumn get description => text().nullable()();

  TextColumn get thumbnail => text().nullable()();

  TextColumn get video => text().nullable()();

  TextColumn get download => text().nullable()();

  IntColumn get width => integer().nullable()();

  IntColumn get height => integer().nullable()();

  IntColumn get duration => integer().nullable()();

  IntColumn get views => integer().nullable()();

  IntColumn get plays => integer().nullable()();

  DateTimeColumn get dateCreated => dateTime()();

  DateTimeColumn get dateModified => dateTime().nullable()();

  DateTimeColumn get lastUpdated => dateTime().nullable()();
}
