import 'package:location/location.dart';

import 'classes/index.dart';

class LocationUtils {
  LocationUtils._();
  static final _location = Location();
  static Future<LocationPoint> getLocation() async {
    try {
      final location = await _location.getLocation();
      if (location != null) {
        return LocationPoint(location.latitude, location.longitude);
      }
    } catch (e) {
      String error;
      if (e.code == 'PERMISSION_DENIED') {
        error = 'Permission denied';
      } else if (e.code == 'PERMISSION_DENIED_NEVER_ASK') {
        error =
            'Permission denied - please ask the user to enable it from the app settings';
      }
      print('Error -> $error');
      return null;
    }
    return null;
  }
}
