import 'dart:io';

import 'package:path_provider/path_provider.dart';

class DirUtils {
  DirUtils._();

  static Future<String> getLocalPath() async {
    Directory _dir;
    if (Platform.isMacOS || Platform.isLinux) {
      _dir = Directory('${Platform.environment['HOME']}/.config');
    } else if (Platform.isWindows) {
      _dir = Directory('${Platform.environment['UserProfile']}\\.config');
    } else {
      _dir = await getApplicationDocumentsDirectory();
    }
    if (_dir != null) {
      return _dir.path;
    }
    return '';
  }
}
