import 'package:flutter/material.dart';

class ActionListTile extends StatelessWidget {
  const ActionListTile({
    Key key,
    @required this.title,
    @required this.iconData,
    this.onTap,
    this.isList = false,
    this.iconColor,
    this.count = 0,
  }) : super(key: key);

  final String title;
  final bool isList;
  final int count;
  final IconData iconData;
  final VoidCallback onTap;
  final Color iconColor;

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: onTap,
      child: Padding(
        padding: const EdgeInsets.fromLTRB(35, 15, 35, 10),
        child: Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: <Widget>[
            Row(
              children: <Widget>[
                Container(
                  decoration: BoxDecoration(
                    color: iconColor ?? Colors.grey,
                    borderRadius: BorderRadius.circular(20.0),
                  ),
                  padding: EdgeInsets.all(4.0),
                  child: Icon(
                    iconData,
                    size: 17.0,
                    color: Colors.white,
                  ),
                ),
                Padding(
                  padding: const EdgeInsets.only(left: 35.0),
                  child:
                      Text(title, style: Theme.of(context).textTheme.subhead),
                ),
              ],
            ),
            Row(
              children: <Widget>[
                if (isList) Text(count.toString()),
                Icon(Icons.navigate_next),
              ],
            )
          ],
        ),
      ),
    );
  }
}
