import 'package:example_db/data/classes/enum_list.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:intl/intl.dart';
import 'package:unify_api/unify.dart';

class TaskRowTile extends StatelessWidget {
  const TaskRowTile({
    Key key,
    @required this.task,
    @required this.formatter,
    @required this.user,
    @required this.type
  }) : super(key: key);

  final Task task;
  final DateFormat formatter;
  final AccountInfo user;
  final ContactType type;

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: Card(
        child: Container(
          padding: EdgeInsets.all(10),
          child: Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: <Widget>[
              Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: <Widget>[
                  Row(
                    children: <Widget>[
                      Icon(
                        Icons.event,
                        color: Colors.blue,
                      ),
                      Padding(
                          padding: EdgeInsets.only(
                              left: 4, right: 4)),
                      Text(task.type,
                          style: Theme.of(context)
                              .textTheme
                              .subhead)
                    ],
                  ),
                  Text(task.title),
                  Text(task.description),
                  Text('${describeEnum(type)}: ${task.fullName}')
                ],
              ),
              Column(
                mainAxisAlignment:
                    MainAxisAlignment.spaceBetween,
                children: <Widget>[
                  Text(formatter.format(task.dateTime)),
                  FlatButton.icon(
                    label: Text('Delete'),
                    icon: Icon(Icons.delete),
                    onPressed: () async {
                      await user.client.deleteTask(task.id);
                    },
                  ),
                  Container(height: 10)
                ],
              )
            ],
          ),
        ),
      ),
    );
  }
}