import 'package:flutter/material.dart';
import 'package:get_it/get_it.dart';

import '../../data/blocs/auth/auth_bloc.dart';
import '../../data/services/database/database.dart';
import 'common/detailed_screen.dart';
import 'screen.dart';

class ContactsCheck extends StatelessWidget {
  final String id;

  const ContactsCheck({
    Key key,
    @required this.id,
  }) : super(key: key);
  @override
  Widget build(BuildContext context) {
    final db = GetIt.instance<DatabaseService>();
    final _user = AuthBloc.currentUser(context);
    return StreamBuilder<List<Contact>>(
        stream: db.contactsDao.watchContactsById(_user.userID, id),
        builder: (context, snapshot) {
          if (snapshot.hasData) {
            if (snapshot.data.isNotEmpty) {
              return ContactDetailsScreen(
                contact: snapshot.data.first,
              );
            }
          }
          return ContactsScreen();
        });
  }
}
