import 'package:example_db/plugins/url_launcher/url_launcher.dart';
import 'package:flutter/material.dart';

class MoreButton extends StatefulWidget {
  MoreButton({
    @required this.cell,
    @required this.email,
    @required this.home,
    @required this.office,
    this.iconData = Icons.more_vert,
  });
  final String email;
  final String cell, home, office;
  final IconData iconData;

  @override
  _MoreButtonState createState() => _MoreButtonState();
}

class _MoreButtonState extends State<MoreButton> {
  @override
  Widget build(BuildContext context) {
    List<Widget> builder = [];
    if (widget.cell != null && widget.cell.isNotEmpty) {
      builder.add(ListTile(
        title: Text("Cell"),
        subtitle: Text(widget.cell),
        leading: Icon(Icons.phone),
        trailing: IconButton(
            icon: Icon(
              Icons.sms,
            ),
            onPressed: () {
              UrlUtils.open('sms:${parseCell(widget.cell)}');
            }),
      ));
    }
    if (widget.office != null && widget.office.isNotEmpty) {
      builder.add(ListTile(
        title: Text("Office"),
        subtitle: Text(widget.office),
        leading: Icon(Icons.work),
        trailing: IconButton(
            icon: Icon(
              Icons.sms,
            ),
            onPressed: () {
              UrlUtils.open('sms:${parseCell(widget.office)}');
            }),
      ));
    }
    if (widget.home != null && widget.home.isNotEmpty) {
      builder.add(ListTile(
        title: Text('Home'),
        subtitle: Text(widget.home),
        leading: Icon(Icons.home),
        trailing: IconButton(
            icon: Icon(
              Icons.sms,
            ),
            onPressed: () {
              UrlUtils.open('sms:${parseCell(widget.home)}');
            }),
      ));
    }
    if (widget.email != null && widget.email.isNotEmpty) {
      builder.add(ListTile(
          title: Text("Email"),
          subtitle: Text(widget.email),
          leading: Icon(Icons.email)));
    }
    return builder.isEmpty
        ? IconButton(
            icon: Icon(
              widget.iconData,
              color: Colors.transparent,
            ),
            onPressed: null,
          )
        : IconButton(
            icon: Icon(widget.iconData),
            onPressed: () {
              showModalBottomSheet<void>(
                  context: context,
                  builder: (context) {
                    return SafeArea(
                        child: SingleChildScrollView(
                      child: Column(
                          mainAxisSize: MainAxisSize.min, children: builder),
                    ));
                  });
            },
          );
  }

  String parseCell(String cell) {
    final cellParsed = widget.cell
        .replaceAll('-', '')
        .replaceAll(' ', '')
        .replaceAll('(', '')
        .replaceAll(')', '')
        .replaceAll(';', '');

    return cellParsed;
  }
}
