import 'package:flutter/material.dart';

import '../../../data/services/database/dao/lead.dart';

class LeadFilterPopup extends StatefulWidget {
  const LeadFilterPopup({
    Key key,
    @required this.filters,
    @required this.onChanged,
  }) : super(key: key);
  final LeadScope filters;
  final ValueChanged<LeadScope> onChanged;

  @override
  _LeadFilterPopupState createState() => _LeadFilterPopupState();
}

class _LeadFilterPopupState extends State<LeadFilterPopup> {
  LeadScope filters;

  @override
  void initState() {
    filters = widget.filters;
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisSize: MainAxisSize.min,
      children: <Widget>[
        CheckboxListTile(
          title: Text('First Name'),
          value: filters.firstName,
          onChanged: (val) {
            if (mounted)
              setState(() {
                filters.firstName = val;
              });
            widget.onChanged(filters);
          },
        ),
        CheckboxListTile(
          title: Text('Last Name'),
          value: filters.lastName,
          onChanged: (val) {
            if (mounted)
              setState(() {
                filters.lastName = val;
              });
            widget.onChanged(filters);
          },
        ),
        CheckboxListTile(
          title: Text('Email'),
          value: filters.email,
          onChanged: (val) {
            if (mounted)
              setState(() {
                filters.email = val;
              });
            widget.onChanged(filters);
          },
        ),
        CheckboxListTile(
          title: Text('Cell Phone'),
          value: filters.cellPhone,
          onChanged: (val) {
            if (mounted)
              setState(() {
                filters.cellPhone = val;
              });
            widget.onChanged(filters);
          },
        ),
        CheckboxListTile(
          title: Text('Home Phone'),
          value: filters.homePhone,
          onChanged: (val) {
            if (mounted)
              setState(() {
                filters.homePhone = val;
              });
            widget.onChanged(filters);
          },
        ),
        CheckboxListTile(
          title: Text('Office Phone'),
          value: filters.officePhone,
          onChanged: (val) {
            if (mounted)
              setState(() {
                filters.officePhone = val;
              });
            widget.onChanged(filters);
          },
        ),
        CheckboxListTile(
          title: Text('Last Activity'),
          value: filters.lastActivity,
          onChanged: (val) {
            if (mounted)
              setState(() {
                filters.lastActivity = val;
              });
            widget.onChanged(filters);
          },
        ),
      ],
    );
  }
}
