import 'package:example_db/data/classes/enum_list.dart';
import 'package:flutter/material.dart';
import 'package:intl/intl.dart';
import 'package:unify_api/unify.dart';

import '../../../data/blocs/auth/auth_bloc.dart';
import '../../common/task_tile.dart';

class LeadTasksScreen extends StatelessWidget {
  final DateFormat formatter = new DateFormat('MM-dd-yyyy');

  final ContactType type = ContactType.lead;

  @override
  Widget build(BuildContext context) {
    final user = AuthBloc.currentInfo(context);
    return Scaffold(
      body: SafeArea(
        child: Container(
          child: FutureBuilder<List<Task>>(
            future: user.client.listTasksLeads(),
            builder: (context, list) {
              if (!list.hasData || list.data == null) {
                return Center(child: CircularProgressIndicator());
              } else {
                if (list.data.isEmpty) {
                  return Center(child: Text('No Tasks'));
                }
                return Column(
                  children: <Widget>[
                    for (var task in list.data) ...[
                      TaskRowTile(task: task, formatter: formatter, user: user, type: type,)
                    ]
                  ],
                );
              }
            },
          ),
        ),
      ),
    );
  }
}


