import 'package:example_db/ui/leads/common/favorites.dart';
import 'package:example_db/ui/leads/common/groups.dart';
import 'package:example_db/ui/leads/common/tasks.dart';
import 'package:flutter/material.dart';

import '../../generated/i18n.dart';
import '../theme.dart';
import 'common/list.dart';

class LeadsScreen extends StatefulWidget {
  static const String routeName = '/leads';
  @override
  _LeadsScreenState createState() => _LeadsScreenState();
}

class _LeadsScreenState extends State<LeadsScreen> {
  int _currentIndex = 0;
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: IndexedStack(
        index: _currentIndex,
        children: <Widget>[
          LeadsListScreen(),
          LeadFavoritesScreen(),
          LeadTasksScreen(),
          LeadGroupsScreen(),
        ],
      ),
      bottomNavigationBar: BottomNavigationBar(
        type: BottomNavigationBarType.fixed,
        elevation: 0.0,
        backgroundColor: AppColors.bottomAppBarColor(context),
        currentIndex: _currentIndex,
        onTap: (val) {
          setState(() {
            _currentIndex = val;
          });
        },
        items: [
          BottomNavigationBarItem(
            icon: Icon(Icons.contacts),
            title: Text(I18n.of(context).leadsTitle),
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.star_border),
            title: Text(I18n.of(context).leadsFavorites),
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.event),
            title: Text(I18n.of(context).leadsTasks),
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.group),
            title: Text(I18n.of(context).leadsGroups),
          ),
        ],
      ),
    );
  }
}
