
import 'dart:io';

import 'package:example_db/data/blocs/bloc.dart';
import 'package:example_db/data/services/database/database.dart';
import 'package:example_db/plugins/video_player/video_player.dart';
import 'package:example_db/ui/common/app_input_field.dart';
import 'package:flutter/material.dart';

class VideoUpload extends StatelessWidget {
  VideoUpload({this.video});

  final File video;

  final TextEditingController titleController = TextEditingController();
  final TextEditingController descController = TextEditingController();

  @override
  Widget build(BuildContext context) {
    final userInfo = AuthBloc.currentInfo(context);
    final user = AuthBloc.currentUser(context);
    return Scaffold(
      appBar: AppBar(
        title: Text('Video Upload'),
        actions: <Widget>[
          IconButton(
            icon: Icon(Icons.file_upload),
            onPressed: (){
              
            },
          )
        ],
      ),
      body: Container(
        child: SafeArea(
          child: Column(
            children: <Widget>[
              AppInputField(
                leading: Icon(Icons.title),
                multiLine: false,
                name: 'Title',
                controller: titleController,
                autoFocus: false,
              ),
              AppInputField(
                leading: Icon(Icons.description),
                multiLine: true,
                name: 'Description',
                controller: descController,
                autoFocus: false,
              ),
              Padding(
                padding: const EdgeInsets.all(10.0),
                child: VideoPlayerView(
                  file: video,
                  width: 1000,
                  height: 1000,
                ),
              ),
            ],
          ),
        ),
      )
    );
  }



  // Future<String> getSession(String kalturaID, User auth, {bool admin = false}) async {
  //   final WebClient webClient = WebClient(auth);
  //   if (admin) {
  //     final response = await webClient.get(
  //       "https://www.kaltura.com/api_v3/service/user/action/loginbyloginid?loginId=sl@crossmedia-llc.com&password=Video\$2017&format=1",
  //     );
  //     return response;
  //   }
  //   final _url =
  //       'https://www.kaltura.com/api_v3/service/session/action/start?secret=027deb191007aa0565a90e21d9c07cf6&userId=$kalturaID&type=0&partnerId=2336561&expiry=86400&format=1';
  //   print("Kaltura => $_url");
  //   final response = await webClient.get(
  //     _url,
  //   );
  //   return response;
  // }

  // Future<bool> uploadVideo(String id, File file,
  //     {@required String name, @required String description}) async {
  //   _uploading = true;
  //   try {
  //     notifyListeners();
  //     var _response = await VideoRepository(auth: auth)
  //         .uploadVideo(id, file, name: name, description: description);
  //     _uploading = false;
  //     notifyListeners();
  //     return _response;
  //   } catch (e) {}
  //   _uploading = false;
  //   notifyListeners();
  //   return false;
  // }

  // Future<bool> uploadVideo(String id, File _uploadFile,
  //     {@required String name, @required String description}) async {
  //   var _user = auth?.data;
  //   var _kalturaID = _user?.kalturaId;
  //   var _session = await getSession(_kalturaID);

  //   var _name = name?.trim()?.toString();
  //   var _desc = description?.trim()?.toString();
  //   //  Add Video
  //   String _token = "";
  //   var response = await webClient.get(
  //     'https://www.kaltura.com/api_v3/service/uploadtoken/action/add?ks=$_session&format=1',
  //   );

  //   print("Response: $response");
  //   var _json = json.decode(json.encode(response));
  //   _token = _json['id'].toString();
  //   print('"Token: $_token');

  //   //  Upload Video
  //   String _url =
  //       "https://www.kaltura.com/api_v3/service/uploadtoken/action/upload?ks=$_session&format=1&uploadTokenId=$_token&resume=false&finalChunk=true&resumeAt=-1";

  //   final _result = await webClient.uploadFile(_url, _uploadFile, 'fileData');
  //   if (_result == null) throw 'Error Uploading Video';

  //   //  Update Video Info (Name, Description, Tags)
  //   var _formName = Uri.encodeQueryComponent(r'mediaEntry[name]');
  //   var _formDesription = Uri.encodeQueryComponent(r'mediaEntry[description]');
  //   var _formTags = Uri.encodeQueryComponent(r'mediaEntry[tags]');
  //   var _formCatagory = Uri.encodeQueryComponent(r'mediaEntry[categories]');
  //   var _formType = Uri.encodeQueryComponent(r'mediaEntry[mediaType]');
  //   String _request =
  //       'https://www.kaltura.com/api_v3/service/media/action/addFromUploadedFile?ks=$_session&format=1&$_formTags=${_user?.companyId}&$_formName=$_name&$_formDesription=$_desc&uploadTokenId=$_token&$_formCatagory=Unapproved&$_formType=1';
  //   print(_request);
  //   await webClient
  //       .get(
  //     _request,
  //   )
  //       .then((response) {
  //     print('Updated Info...\n' + response.toString());
  //     print(
  //       "Video is Processing. Video will be available in 'Videos' when complete.",
  //     );
  //   });
  //   return true;
  // }
}