part of unify;

class Task implements UnifyObject {
  Task(this.client, this.json);

  @override
  final UnifyClient client;

  @override
  final Map<String, dynamic> json;

  String get id => json["Lead_Task_ID"];

  String get leadID => json["Lead_ID"];

  String get contactId => json["Contact_ID"];

  String get coreLeadId => json["Core_Lead_ID"];

  String get userID => json["User_ID"];

  String get firstName => json["First_Name"];

  String get lastName => json["Last_Name"];

  String get fullName => "$firstName $lastName".trim();

  String get displayName => "$lastName, $firstName";

  String get authorUserID => json["Author_User_ID"];

  String get type => json["Lead_Task_Type"];

  String get title => json["Lead_Task_Title"];

  String get description => json["Lead_Task_Description"];

  DateTime get dateTime => DateTime.tryParse(json["Lead_Task_Time"]);

  String get alertTypes => json["Task_Alert_Types"];

  String get alertOffset => json["Alert_Time_Offset"];

  String get leadNumber => json["Alert_Lead_Number"];

  String get userNumber => json["Alert_User_Number"];

  String get dismissOnChange => json["Dismiss_On_Change"];

  String get status => json["Lead_Task_Status"];

  String get recur => json["Task_Recur"];

  String get recurPattern => json["Task_Recur_Pattern"];

  int get recurEvery => json["Task_Recur_Every"];

  String get recurType => json["Task_Recur_Type"];

  String get callSource => json["Call_Source"];

  DateTime get dateCreated =>
      DateTime.tryParse(json["Date_Created"].toString());

  DateTime get dateModified =>
      DateTime.tryParse(json["Date_Modified"].toString());

  Future<ContactDetails> getContactDetails() {
    return client.getContactDetails(contactId);
  }

  Future<LeadDetails> getLeadDetails() {
    return client.getLeadDetails(leadID);
  }

  Future<AccountInfo> getAuthor() {
    return client.getUser(userID);
  }
}
