part of unify;

class ContactGroup implements UnifyObject {
  ContactGroup(this.client, this.json);

  @override
  final UnifyClient client;

  @override
  final Map<String, dynamic> json;

  String get id => json["id"];

  String get name => json["name"];

  int get count => json["count"];

  // -- Actions --
  Future<List<Contact>> listContacts(
      {int page = 1, int rows = 100, String query = ""}) {
    return client.listContactsForContactGroup(id,
        page: page, rows: rows, query: query);
  }

  Future<List<String>> listEmails() {
    return client.listEmailsForContactGroup(id);
  }

  Future edit(String name) {
    return client.editContactGroup(id, name);
  }

  Future delete() {
    return client.deleteContactGroup(id);
  }
}
